<!DOCTYPE html>
<html lang="en">
    <%- include("partials/head"); %>
  <body class="h-100vh bg-gray-800 text-white">
    <%- include("partials/navbar"); %>
      <div class="flex justify-center align-items">
        <h1>List Account Login</h1>
      </div>
      
    <div class="flex flex-col">
      <div class="overflow-x-auto sm:-mx-6 lg:-mx-8">
        <div class="inline-block py-2 min-w-full sm:px-6 lg:px-8">
          <div class="overflow-hidden shadow-md sm:rounded-lg">
            <table class="min-w-full">
              <thead class="bg-gray-50 dark:bg-gray-700">
                <tr>
                  <th
                    scope="col"
                    class="py-3 px-6 text-xs font-medium tracking-wider text-left text-gray-700 uppercase dark:text-gray-400"
                  >
                    Username
                  </th>
                  <th
                    scope="col"
                    class="py-3 px-6 text-xs font-medium tracking-wider text-left text-gray-700 uppercase dark:text-gray-400"
                  >
                    Password
                  </th>
                  <th
                    scope="col"
                    class="py-3 px-6 text-xs font-medium tracking-wider text-left text-gray-700 uppercase dark:text-gray-400"
                  >
                    waktu buat akun
                  </th>
                  <th
                    scope="col"
                    class="py-3 px-6 text-xs font-medium tracking-wider text-left text-gray-700 uppercase dark:text-gray-400"
                  >
                    role
                  </th>
                  <th scope="col" class="relative py-3 px-6">
                    <span class="sr-only">Delete</span>
                  </th>
                </tr>
              </thead>
              <tbody>
                <% users.forEach(function(user){ %>
                <tr
                  class="bg-white border-b dark:bg-gray-800 dark:border-gray-700"
                >
                  <td
                    class="py-4 px-6 text-sm font-medium text-gray-900 whitespace-nowrap dark:text-white"
                  >
                    <%= user.username %>
                  </td>
                  <td
                    class="py-4 px-6 text-sm text-gray-500 whitespace-nowrap dark:text-gray-400"
                  >
                    <%= user.password %>
                  </td>
                  <td
                    class="py-4 px-6 text-sm text-gray-500 whitespace-nowrap dark:text-gray-400"
                  >
                    <%= user.createdAt %>
                  </td>
                  
                  <td
                    class="py-4 px-6 text-sm text-gray-500 whitespace-nowrap dark:text-gray-400"
                  >
                  <%= user.isAdmin %>
                  </td>
                 
                 
                 
                  <td
                    class="py-4 px-6 text-sm text-gray-500 whitespace-nowrap dark:text-gray-400"
                  >
                    <a href="/delete/<%= user.id %>">
                      <button type="submit" class="bg-indigo-500">
                        delete
                      </button>
                    </a>
                  </td>
                </tr>

                <% }); %>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
    <script src="https://unpkg.com/flowbite@1.3.4/dist/flowbite.js"></script>
  </body>
</html>
